# collada.asset.Asset

class collada.asset.Asset(created=None, modified=None, title=None, subject=None, revision=None, keywords=None, unitname=None, unitmeter=None, upaxis=None, contributors=None, xmlnode=None)

  Defines asset-management information

  __init__(created=None, modified=None, title=None, subject=None, revision=None, keywords=None, unitname=None, unitmeter=None, upaxis=None, contributors=None, xmlnode=None)

    Create a new set of information about an asset

    Parameters

      - created (datetime.datetime) – When the asset was created. If None, this will be set to the current date and time.

      - modified (datetime.datetime) – When the asset was modified. If None, this will be set to the current date and time.

      - title (str) – The title of the asset

      - subject (str) – The description of the topical subject of the asset

      - revision (str) – Revision information about the asset

      - keywords (str) – A list of words used for search criteria for the asset

      - unitname (str) – The name of the unit of distance for this asset

      - unitmeter (float) – How many real-world meters are in one distance unit

      - upaxis (collada.asset.UP_AXIS) – The up-axis of the asset. If None, this will be set to Y_UP

      - contributors (list) – The list of contributors for the asset

      - xmlnode – If loaded from xml, the xml node

  Methods

  `__init__`([created, modified, title, ...]) | Create a new set of information about an asset
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Saves the asset info back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the asset.
  `created` | Instance of `datetime.datetime` indicating when the asset was created
  `modified` | Instance of `datetime.datetime` indicating when the asset was modified
  `title` | String containing the title of the asset
  `subject` | String containing the description of the topical subject of the asset
  `revision` | String containing revision information about the asset
  `keywords` | String containing a list of words used for search criteria for the asset
  `unitname` | String containing the name of the unit of distance for this asset
  `unitmeter` | Float containing how many real-world meters are in one distance unit
  `upaxis` | Instance of type `collada.asset.UP_AXIS` indicating the up-axis of the asset
  `contributors` | A list of instances of `collada.asset.Contributor`